- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - u -

- u : Ogre::TextureUnitState::UVWAddressingMode
- u1 : Ogre::BorderPanelOverlayElement::CellUV
- u2 : Ogre::BorderPanelOverlayElement::CellUV
- unbindGpuProgram() : Ogre::RenderSystem
- unbindSurface() : Ogre::MultiRenderTarget
- uncompressedSize : Ogre::FileInfo
- undeclareResource() : Ogre::ResourceGroupManager
- UNDER_USED_FRAME_THRESHOLD : Ogre::HardwareBufferManager
- UnifiedHighLevelGpuProgram() : Ogre::UnifiedHighLevelGpuProgram
- UnifiedHighLevelGpuProgramFactory() : Ogre::UnifiedHighLevelGpuProgramFactory
- UnimplementedException() : Ogre::UnimplementedException
- UNINITIALSED : Ogre::ResourceGroupManager::ResourceGroup
- uninstall() : Ogre::Plugin
- uninstallPlugin() : Ogre::Root
- unique() : Ogre::SharedPtr< T >
- UNIT_SCALE : Ogre::Vector2 , Ogre::Vector3
- UNIT_X : Ogre::Vector2 , Ogre::Vector3
- UNIT_Y : Ogre::Vector2 , Ogre::Vector3
- UNIT_Z : Ogre::Vector3
- UnitInverse() : Ogre::Quaternion
- UnitRandom() : Ogre::Math
- unlinkPolygon() : Ogre::ConvexBody
- unlinkWorldGeometryFromResourceGroup() : Ogre::ResourceGroupManager
- unload() : Ogre::FileSystemArchive , Ogre::Resource , Ogre::ResourceBackgroundQueue , Ogre::ResourceManager , Ogre::UnifiedHighLevelGpuProgram , Ogre::ZipArchive , Ogre::Archive , Ogre::ArchiveManager , Ogre::DynLib , Ogre::DynLibManager
- unloadAll() : Ogre::ResourceManager
- unloadHighLevel() : Ogre::HighLevelGpuProgram
- unloadHighLevelImpl() : Ogre::HighLevelGpuProgram , Ogre::UnifiedHighLevelGpuProgram
- unloadImpl() : Ogre::Compositor , Ogre::Font , Ogre::HighLevelGpuProgram , Ogre::Material , Ogre::Mesh , Ogre::Resource , Ogre::Skeleton , Ogre::SkeletonInstance , Ogre::Texture
- unloadPlugin() : Ogre::Root
- unloadPlugins() : Ogre::Root
- unloadResourceGroup() : Ogre::ResourceBackgroundQueue , Ogre::ResourceGroupManager
- unloadUnreferencedResources() : Ogre::ResourceManager
- unloadUnreferencedResourcesInGroup() : Ogre::ResourceGroupManager
- unlock() : Ogre::DefaultHardwareVertexBuffer , Ogre::DefaultHardwareIndexBuffer , Ogre::HardwareBuffer
- unlockImpl() : Ogre::HardwareBuffer , Ogre::DefaultHardwareVertexBuffer , Ogre::DefaultHardwareIndexBuffer
- unpackColour() : Ogre::PixelUtil
- unpackDXTAlpha() : Ogre::DDSCodec
- unpackDXTColour() : Ogre::DDSCodec
- unRegisterCodec() : Ogre::Codec
- unregisterThread() : Ogre::RenderSystem
- unsetAllBindings() : Ogre::VertexBufferBinding
- unsetBinding() : Ogre::VertexBufferBinding
- update() : Ogre::Controller< T > , Ogre::Light , Ogre::RenderTarget , Ogre::RenderWindow , Ogre::Viewport , Ogre::RenderWindow
- updateAllControllers() : Ogre::ControllerManager
- updateAnimation() : Ogre::Entity , Ogre::InstancedGeometry::InstancedObject
- updateBoundingBox() : Ogre::BillboardChain , Ogre::InstancedGeometry::BatchInstance
- updateChainElement() : Ogre::BillboardChain
- updateColours() : Ogre::TextAreaOverlayElement
- updateContainers() : Ogre::InstancedGeometry::MaterialBucket , Ogre::InstancedGeometry::LODBucket , Ogre::InstancedGeometry::BatchInstance
- updateEdgeListLightFacing() : Ogre::ShadowCaster
- updateFaceNormals() : Ogre::EdgeData
- updateFromParentImpl() : Ogre::Node , Ogre::SceneNode , Ogre::TagPoint
- updateFrustum() : Ogre::Frustum
- updateFrustumImpl() : Ogre::Frustum
- updateFrustumPlanes() : Ogre::Frustum
- updateFrustumPlanesImpl() : Ogre::Frustum
- updateIndexBuffer() : Ogre::BillboardChain
- updateManualLodLevel() : Ogre::Mesh
- updateMaterialForAllSubMeshes() : Ogre::Mesh
- updateMaterialUsingTextureAliases() : Ogre::SubMesh
- updateNormal() : Ogre::Polygon
- updatePassIterationRenderState() : Ogre::RenderSystem
- updatePoint() : Ogre::RotationalSpline , Ogre::SimpleSpline
- updatePoseReference() : Ogre::VertexPoseKeyFrame
- updatePositionGeometry() : Ogre::OverlayElement , Ogre::PanelOverlayElement , Ogre::TextAreaOverlayElement , Ogre::BorderPanelOverlayElement
- updateRenderQueueGroupSplitOptions() : Ogre::SceneManager
- updateRenderQueueSplitOptions() : Ogre::SceneManager
- updateStats() : Ogre::RenderTarget
- updateTextureGeometry() : Ogre::TextAreaOverlayElement , Ogre::BorderPanelOverlayElement , Ogre::PanelOverlayElement , Ogre::OverlayElement
- updateTrail() : Ogre::RibbonTrail
- updateTransform() : Ogre::Overlay
- updateTriangleLightFacing() : Ogre::EdgeData
- updateVertexBuffer() : Ogre::BillboardChain
- updateVertexData() : Ogre::Frustum
- updateView() : Ogre::Frustum
- updateViewImpl() : Ogre::Frustum
- updateWorldSpaceCorners() : Ogre::Frustum
- updateWorldSpaceCornersImpl() : Ogre::Frustum
- upVector : Ogre::MeshManager::MeshBuildParams
- Usage : Ogre::HardwareBuffer
- useCount() : Ogre::SharedPtr< T >
- useCountPointer() : Ogre::SharedPtr< T >
- useIndexes : Ogre::RenderOperation
- USER_TYPE_MASK_LIMIT : Ogre::SceneManager
- UserDefinedObject() : Ogre::UserDefinedObject
- useRenderableViewProjMode() : Ogre::SceneManager
- useSharedVertices : Ogre::SubMesh
- usesVertexTextureFetch : Ogre::MaterialScriptProgramDefinition , Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition
- uvRect : Ogre::Font::GlyphInfo
- UVRect : Ogre::Font

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:01 2008